<script>
function worker_pool_init() {
  wpInit();
}

var workerPool = null;
var childId;
 
function wpInit() {
  if (!window.google || !google.gears) {
    return;
  }
 
  try {
    workerPool = google.gears.factory.create('beta.workerpool');
  } catch (e) {
    document.getElementById('asyncButton').disabled = true;
    setError('Could not create workerpool: ' + e.message);
    return;
  }
 
  // set the parent's message handler
  workerPool.onmessage = parentHandler;
 
  // create the worker
  try {
   childId = workerPool.createWorkerFromUrl('./gears/worker.js');
  } catch (e) {
   setError('Could not create worker: ' + e.message);
  }
 
  // Child workers will always set onmessage before createWorker() returns.
  //insertRow('Parent initialized.');
}
 
function parentHandler(messageText, sender, message) {
  alert(message.body);
}
function asyncComputation(n) {
  if (workerPool) {
    workerPool.sendMessage(n, childId);
  }
}
worker_pool_init();
</script>
